commit:     eac11e64f4703e7010088e4bda2f9d944ed585cb
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  3 00:51:00 2016 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Mar  3 00:51:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eac11e64

net-misc/lldpd: Version bump to 0.9.1

Package-Manager: portage-2.2.27

 net-misc/lldpd/Manifest            |   1 +
 net-misc/lldpd/files/lldpd-initd-5 |  20 ++++++++
 net-misc/lldpd/files/tmpfilesd     |   1 +
 net-misc/lldpd/lldpd-0.9.1.ebuild  | 101 +++++++++++++++++++++++++++++++++++++
 net-misc/lldpd/metadata.xml        |   1 +
 5 files changed, 124 insertions(+)

diff --git a/net-misc/lldpd/Manifest b/net-misc/lldpd/Manifest
index 731b417..af1aeea 100644
--- a/net-misc/lldpd/Manifest
+++ b/net-misc/lldpd/Manifest
@@ -1,2 +1,3 @@
 DIST lldpd-0.7.11.tar.gz 1509215 SHA256 
5257169e0de6037e81efb1bcb26f6dd5755e3efa0a025144d6763bdfaf982e6b SHA512 
7f5454ef4255a4fae0e323703d607bd93254b8a511984e434539d0305de1298f8bcf481beb2f121876bedc9890e6f1338cc30f5b08d7b5cf261cf87d5bb69bff
 WHIRLPOOL 
710826936318099a562c7503653ce002c60256055e5f34d7328e7bc5397805c5790670efcc746a11f5abb5a2ff1b6590c888a3ccf02048f260f83a6ea855f28a
 DIST lldpd-0.7.13.tar.gz 1523864 SHA256 
bbba3ef922f6b6cc6d2c0f008066dc882750557661c54dd1b97ae7936678d92d SHA512 
3fa476a3e06e2d5c15a29a3b46bfd2e147bdd55884fef4748f1197454cde45f82d33e4cc66eb70e559a1e3ad150577781d308b2f39c08f86d75412368099d4a5
 WHIRLPOOL 
c641e0f9f21ce9510a7e30f14ccc0ab34c54251ccbec5317a30504f5b4bca4b64e88391d7a252340490a919bb1d13764627404d1f2c2b9d19057f5b4ca561a97
+DIST lldpd-0.9.1.tar.gz 1600504 SHA256 
16ad6d513a6a0c6c201ce4941693c0e9d6fce83bbfa3733620354d1ac9a60908 SHA512 
3a6ea3051ceac689a65045c06dac4f788071291f6ab826286de54175cad48143daadb13f44a2d7ff8a97269ec7c1bf9dc337d929b8cbf256fe135d33f965b3ad
 WHIRLPOOL 
b71310da3e7626893fb00b8fc5553c80bb4dbabdabe9cabe028cb72767cfe2f0a46a6c3d09c15fc7cb1b7379b73a8eb9a9e6683ace25492f76a032834db13ce0

diff --git a/net-misc/lldpd/files/lldpd-initd-5 
b/net-misc/lldpd/files/lldpd-initd-5
new file mode 100644
index 0000000..5d59f2c
--- /dev/null
+++ b/net-misc/lldpd/files/lldpd-initd-5
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+name=lldpd
+pidfile=/run/lldpd.pid
+command=/usr/sbin/lldpd
+retry="TERM/10/KILL/5"
+command_args="${LLDPD_OPTS}"
+
+depend() {
+       use net
+}
+
+start_pre() {
+       checkpath --directory /run/lldpd -o lldpd -m 0700
+}
+
+# vim:ft=gentoo-init-d:noet:ts=4:sts=4:sw=4:

diff --git a/net-misc/lldpd/files/tmpfilesd b/net-misc/lldpd/files/tmpfilesd
new file mode 100644
index 0000000..5e3af54
--- /dev/null
+++ b/net-misc/lldpd/files/tmpfilesd
@@ -0,0 +1 @@
+d /run/lldpd 0700 lldpd lldpd -

diff --git a/net-misc/lldpd/lldpd-0.9.1.ebuild 
b/net-misc/lldpd/lldpd-0.9.1.ebuild
new file mode 100644
index 0000000..059d48b
--- /dev/null
+++ b/net-misc/lldpd/lldpd-0.9.1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils user systemd bash-completion-r1 autotools
+
+DESCRIPTION="Implementation of IEEE 802.1ab (LLDP)"
+HOMEPAGE="https://vincentbernat.github.com/lldpd/";
+SRC_URI="http://media.luffy.cx/files/${PN}/${P}.tar.gz";
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cdp doc +dot1 +dot3 edp fdp graph jansson +lldpmed old-kernel
+       seccomp sonmp snmp static-libs readline xml zsh-completion"
+
+RDEPEND=">=dev-libs/libevent-2.0.5
+               dev-libs/libbsd
+               snmp? ( net-analyzer/net-snmp[extensible(+)] )
+               xml? ( dev-libs/libxml2 )
+               jansson? ( dev-libs/jansson )
+               seccomp? ( sys-libs/libseccomp )
+               zsh-completion? ( app-shells/zsh )"
+DEPEND="${RDEPEND}
+               virtual/pkgconfig
+               doc? (
+                       graph? ( app-doc/doxygen[dot] )
+                       !graph? ( app-doc/doxygen )
+               )"
+
+REQUIRED_USE="graph? ( doc )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.7.11-zsh-completion-dir.patch
+)
+
+pkg_setup() {
+       ebegin "Creating lldpd user and group"
+       enewgroup ${PN}
+       enewuser ${PN} -1 -1 -1 ${PN}
+       eend $?
+}
+
+src_prepare() {
+       epatch "${PATCHES[@]}"
+       epatch_user
+       eautoreconf
+       elibtoolize
+}
+
+src_configure() {
+       econf \
+               --without-embedded-libevent \
+               --with-privsep-user=${PN} \
+               --with-privsep-group=${PN} \
+               --with-privsep-chroot=/run/${PN} \
+               --with-lldpd-ctl-socket=/run/${PN}.socket \
+               --with-lldpd-pid-file=/run/${PN}.pid \
+               --docdir=/usr/share/doc/${PF} \
+               $(use_enable cdp) \
+               $(use_enable doc doxygen-man) \
+               $(use_enable doc doxygen-pdf) \
+               $(use_enable doc doxygen-html) \
+               $(use_enable dot1) \
+               $(use_enable dot3) \
+               $(use_enable edp) \
+               $(use_enable fdp) \
+               $(use_enable graph doxygen-dot) \
+               $(use_with jansson json) \
+               $(use_enable lldpmed) \
+               $(use_enable old-kernel oldies) \
+               $(use_enable sonmp) \
+               $(use_enable static-libs static) \
+               $(use_with readline) \
+               $(use_with seccomp) \
+               $(use_with snmp) \
+               $(use_with xml)
+}
+
+src_compile() {
+       emake
+       use doc && emake doxygen-doc
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       prune_libtool_files
+
+       newinitd "${FILESDIR}"/${PN}-initd-5 ${PN}
+       newconfd "${FILESDIR}"/${PN}-confd-1 ${PN}
+       newbashcomp src/client/completion/lldpcli lldpcli
+
+       use doc && dohtml -r doxygen/html/*
+
+       keepdir /etc/${PN}.d
+
+       systemd_dounit "${FILESDIR}"/${PN}.service
+       systemd_newtmpfilesd "${FILESDIR}"/tmpfilesd ${PN}.conf
+}

diff --git a/net-misc/lldpd/metadata.xml b/net-misc/lldpd/metadata.xml
index 538130b..0ea2a51 100644
--- a/net-misc/lldpd/metadata.xml
+++ b/net-misc/lldpd/metadata.xml
@@ -28,6 +28,7 @@ lldpd also implements CDP (Cisco Discovery Protocol), FDP 
(Foundry Discovery Pro
                <flag name="jansson">Enable JSON output via Jansson</flag>
                <flag name="json-c">Enable JSON output via json-c</flag>
                <flag name="lldpmed">Enable LLDP-MED extension</flag>
+               <flag name="old-kernel">Enable compatibility with Linux kernel 
older than 2.6.39</flag>
                <flag name="sonmp">Enable SynOptics Network Management</flag>
                <flag name="snmp">Enable the use of SNMP</flag>
        </use>

Reply via email to